Create time off
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-timeoff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roblox_user_id: 123, start_date: '2023-12-25', end_date: '2023-12-25'})
};
fetch('https://api.lumonol.co.uk/ankra/create-timeoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-timeoff"
payload = {
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"type": "<string>",
"reason": "<string>",
"notes": "<string>",
"status": "pending",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Time off
Create time off
Request time off: start_date, end_date, type, notes.
POST
/
create-timeoff
Create time off
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-timeoff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roblox_user_id: 123, start_date: '2023-12-25', end_date: '2023-12-25'})
};
fetch('https://api.lumonol.co.uk/ankra/create-timeoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-timeoff"
payload = {
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"type": "<string>",
"reason": "<string>",
"notes": "<string>",
"status": "pending",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json
The Roblox user ID of the person.
The first day off.
The last day off.
The kind, as the Inactivity form names it, e.g. "Holiday/Vacation".
Free text, for a type of "Other".
Notes.
approved files it as already approved.
Available options:
pending, approved Response
Created.
Available options:
pending, approved, denied 
